Name:           boinc-tui
Version:        2.7.0
Release:    1%{?dist}
Summary:        Fullscreen Text Mode Manager For BOINC Client

License:        GPL-3.0-or-later
URL:            https://github.com/suleman1971/boinctui

%global commit       bb72f385ace769313bce409a869d5c5e896bb6d0
%global shortcommit  %(c=%{commit}; echo ${c:0:7})
%global snapshotdate 20200126
Source0:        https://github.com/suleman1971/boinctui/archive/%{commit}/boinctui-%{shortcommit}.tar.gz

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  gcc
BuildRequires:  ncurses-devel
BuildRequires:  expat-devel
BuildRequires:  openssl-devel
BuildRequires:  gcc-c++
BuildRequires: make

%description
 boinc-tui is a fullscreen text mode control tool for BOINC client
 It can manage local and remote clients (via boinc RPC), and allows
 you to switch between  clients with a hot key.
 boinctui uses curses library and provides the following features:
  * Fullscreen curses based text user interface
  * Switch between several BOINC clients hosts via hot key
  * View task list (run, queue, suspend e.t.c state)
  * View message list
  * Suspend/Resume/Abort tasks
  * Update/Suspend/Resume/Reset/No New Task/Allow New Task for projects
  * Toggle activity state GPU and CPU tasks
  * Run benchmarks
  * Manage BOINC client on remote hosts via boinc_gui protocol

%prep
%autosetup -n boinctui-%{commit}


%build
autoreconf -vif
%configure --without-gnutls
%make_build


%install
%make_install DOCDIR=%{_pkgdocdir}
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 0644 boinctui.1 %{buildroot}%{_mandir}/man1/


%files
%doc %{_pkgdocdir}/changelog
%license gpl-3.0.txt
%{_bindir}/boinctui
%{_mandir}/man1/boinctui.1.*



%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0-1
- initial build
